petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexDerivePointSF

Build a point SF from an SF describing a point migration

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreatePointSF(DM dm, PetscSF migrationSF, PetscBool ownership, PetscSF *pointSF)

### Input Parameter

| dm | - The source DMPlex object
| migrationSF | - The star forest that describes the parallel point remapping
| ownership | - Flag causing a vote to determine point ownership

### Output Parameter

| pointSF | - The star forest describing the point overlap in the remapped DM

### See Also

DMPlexDistribute(), DMPlexDistributeOverlap()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages